/*
 * COPYRIGHT (C) 2008, CANTATA
 *
 * CANTATA-RACE:
 * cr_errors.h
 *
 * DESCRIPTION:
 * This module presents the error definitions.
 *
 * HISTORY:
 * 2008-03-12   0.1  Tis Veugen (Logica)
 */

#ifndef __CANTATARACE_ERRORS_H__
#define __CANTATARACE_ERRORS_H__

#ifdef __cplusplus
extern "C" {
#endif


#define CR_RESULT_OK              ((CR_Result)  0)
#define CR_ERROR_INVALID_IREF     ((CR_Result)  1)
#define CR_ERROR_INVALID_PARAM    ((CR_Result)  2)
#define CR_ERROR_INVALID_STATE    ((CR_Result)  3)

/*
 * All application components must define the errors above this base value:
 */
#define CR_ERROR_BASE_COMPONENTS  ( 0x10000 )


#define CR_ERROR_ASSIGN( error )  ((CR_Result) ( CR_ERROR_BASE_COMPONENTS + (error) ))


typedef unsigned long   CR_Result;



#ifdef __cplusplus
}
#endif

#endif /* __CANTATARACE_ERRORS_H__ */
