/*
 * COPYRIGHT (C) 2008, CANTATA
 *
 * CANTATA-RACE:
 * cr_types.h
 *
 * DESCRIPTION:
 * This module presents the general types.
 *
 * HISTORY:
 * 2008-03-12   0.1  Tis Veugen (Logica)
 */

#ifndef __CANTATARACE_TYPES_H__
#define __CANTATARACE_TYPES_H__

#ifdef __cplusplus
extern "C" {
#endif


#define CR_FALSE        ((CR_Boolean) 0)
#define CR_TRUE         ((CR_Boolean) 1)

#define CR_NULL         0L


typedef signed char     CR_Int8;
typedef unsigned char   CR_UInt8;
typedef unsigned char   CR_Byte;

typedef signed short    CR_Int16;
typedef unsigned short  CR_UInt16;

typedef signed long     CR_Int32;
typedef unsigned long   CR_UInt32;
typedef unsigned long   CR_Bits32;

typedef float           CR_Float;
typedef double          CR_Double;

typedef unsigned char   CR_Boolean;

typedef char *          CR_String;

typedef char *			CR_Guid;


typedef void *          CR_FunctionType;
typedef void *          CR_PointerType;
typedef void *          CR_ObjectType;


typedef struct
{
  CR_FunctionType *     pVTable;
  CR_PointerType *      pMemberData;
} CR_InterfaceType;

typedef CR_InterfaceType *   CR_IRefType;


typedef struct
{
  CR_String             Key;
  CR_String             Value;
} CR_CreationParameterType;

typedef CR_UInt32       CR_IIdType;

typedef void *          CR_ListenerType;


#ifdef __cplusplus
}
#endif

#endif /* __CANTATARACE_TYPES_H__ */
