#include "rmc_debug.h"

#if DEBUG == 1

void printb(RMC_MemoryBudgetHeadType* pBudget, char* header) {
  debug("\n");
  if (pBudget) {
    debug("%s               =%p\n", header, (void*)pBudget);
    debug("%s.size          =%lu\n", header, pBudget->size);
    if (pBudget->freeList) {
      debug("%s.freeList      =%p\n", header, (void*)pBudget->freeList);
      debug("%s.freeList->len =%lu\n", header, pBudget->freeList->size);
    } else {
      debug("%s->freeList     =NULL\n", header);
    }
  } else {
    debug("%s=NULL\n", header);
  }
  debug("\n");
}

void printFreeList(RMC_MemoryBudgetHeadType* pBudget, char* header) {
  int i;
  RMC_MemoryAllocationHeadType* p;
  
  if (pBudget) {
    if (pBudget->freeList) {
      for (p = pBudget->freeList, i = 0; p ; p = p->next, i++) {
        debug("%s.freeList[%u]->size=%lu\n", header, i, p->size);
      }
    } else {
      debug("%s->freeList==NULL\n", header);
    }
  } else {
    debug("%s==NULL\n", header);
  }
}

#endif